## CORBA Interface IEnvironment

### Definition

CORBA Module SASTableServer

### IEnvironment Description

CORBA Definitions
attribute Id |
attribute Parent |
method Close |
method CreateConnection |
method DataSources |
method Drivers |
method GetAttr |
method GetAttrs |
method GetDiagFields |
method GetDiagRecs |
method SetAttr |
method SetAttrs |

Java Classes
IEnvironmentHelper | Used to manipulate the IEnvironment type
IEnvironmentHolder | Used to process the IEnvironment type as an out parameter

Java Interfaces
IEnvironment |

Java Interface IEnvironment

Package com.sas.iom.SASTableServer

IEnvironment Description

`public interface IEnvironment
extends org.omg.CORBA.Object`

Method Summary

void | Close ()
IConnection | CreateConnection ( org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | DataSources ( int direction , org.omg.CORBA.StringHolder serverName , org.omg.CORBA.StringHolder description , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, GenericError );
void | Drivers ( int direction , org.omg.CORBA.StringHolder driverDescription , StringSeqHolder driverAttributes , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, GenericError );
void | GetAttr ( int attr , int indicator , org.omg.CORBA.AnyHolder value , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | GetAttrs ( int[] attrs , int[] indicators , AnySeqHolder values , IntSeqHolder status ) throws ( GenericError );
void | GetDiagFields ( int[] recNumbers , int[] diagIdentifiers , int[] diagIndicators , AnySeqHolder values , VariableArray2dOfIntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, GenericError );
void | GetDiagRecs ( int[] recNumbers , StringSeqHolder sqlStates , IntSeqHolder nativeErrors , StringSeqHolder messageTexts , IntSeqHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, TKTS_NO_DATA, GenericError );
void | SetAttr ( int attr , int indicator , any value , org.omg.CORBA.IntHolder status ) throws ( TKTS_ERROR, TKTS_INVALID_HANDLE, GenericError );
void | SetAttrs ( int[] attrs , int[] indicators , any[] values , IntSeqHolder status ) throws ( GenericError );

Java Class IEnvironmentHelper

public class IEnvironmentHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IEnvironment type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IEnvironmentHelper

Java Class IEnvironmentHolder

public class IEnvironmentHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IEnvironment type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IEnvironmentHolder

CORBA Attribute Id (readonly)

Description

Usage

Java Method Id

    public long Id ();

CORBA Attribute Parent (readonly)

Description

Usage

Java Method Parent

    public ISession Parent ();

CORBA Method Close

Description

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method CreateConnection

Description

Usage

Java Method CreateConnection

`public IConnection` CreateConnection (

        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method DataSources

Description

Usage

Java Method DataSources

`void` DataSources (

        int direction ,
        org.omg.CORBA.StringHolder serverName ,
        org.omg.CORBA.StringHolder description ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
direction | in | int |
serverName | out | org.omg.CORBA.StringHolder |
description | out | org.omg.CORBA.StringHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method Drivers

Description

Usage

Java Method Drivers

`void` Drivers (

        int direction ,
        org.omg.CORBA.StringHolder driverDescription ,
        StringSeqHolder driverAttributes ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
direction | in | int |
driverDescription | out | org.omg.CORBA.StringHolder |
driverAttributes | out | StringSeqHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method GetAttr

Description

Usage

Java Method GetAttr

`void` GetAttr (

        int attr ,
        int indicator ,
        org.omg.CORBA.AnyHolder value ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attr | in | int |
indicator | in | int |
value | out | org.omg.CORBA.AnyHolder |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method GetAttrs

Description

Usage

Java Method GetAttrs

`void` GetAttrs (

        int[] attrs ,
        int[] indicators ,
        AnySeqHolder values ,
        IntSeqHolder status
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attrs | in | int[] |
indicators | in | int[] |
values | out | AnySeqHolder |
status | out | IntSeqHolder |

Example

CORBA Method GetDiagFields

Description

Usage

Java Method GetDiagFields

`void` GetDiagFields (

        int[] recNumbers ,
        int[] diagIdentifiers ,
        int[] diagIndicators ,
        AnySeqHolder values ,
        VariableArray2dOfIntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
recNumbers | in | int[] |
diagIdentifiers | in | int[] |
diagIndicators | in | int[] |
values | out | AnySeqHolder |
status | out | VariableArray2dOfIntHolder |

Example

CORBA Method GetDiagRecs

Description

Usage

Java Method GetDiagRecs

`void` GetDiagRecs (

        int[] recNumbers ,
        StringSeqHolder sqlStates ,
        IntSeqHolder nativeErrors ,
        StringSeqHolder messageTexts ,
        IntSeqHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                TKTS_NO_DATA,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
recNumbers | in | int[] |
sqlStates | out | StringSeqHolder |
nativeErrors | out | IntSeqHolder |
messageTexts | out | StringSeqHolder |
status | out | IntSeqHolder |

Example

CORBA Method SetAttr

Description

Usage

Java Method SetAttr

`void` SetAttr (

        int attr ,
        int indicator ,
        any value ,
        org.omg.CORBA.IntHolder status
        )
        throws (
                TKTS_ERROR,
                TKTS_INVALID_HANDLE,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attr | in | int |
indicator | in | int |
value | in | any |
status | out | org.omg.CORBA.IntHolder |

Example

CORBA Method SetAttrs

Description

Usage

Java Method SetAttrs

`void` SetAttrs (

        int[] attrs ,
        int[] indicators ,
        any[] values ,
        IntSeqHolder status
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
attrs | in | int[] |
indicators | in | int[] |
values | in | any[] |
status | out | IntSeqHolder |

Example